PipeWire: Debug

PipeWire 0.3.59

Files | Macros | Functions
Debug
SPA

Debugging utilities. More...

## Files
file | buffer.h
| `spa/debug/buffer.h`
file | dict.h
| `spa/debug/dict.h`
file | format.h
| `spa/debug/format.h`
file | log.h
| `spa/debug/log.h`
file | mem.h
| `spa/debug/mem.h`
file | node.h
| `spa/debug/node.h`
file | pod.h
| `spa/debug/pod.h`
file | types.h
| `spa/debug/types.h`

## Macros
#define | spa_debug(fmt, ...) ({ printf((fmt"\n"), ## __VA_ARGS__); })
#define | spa_debugn(fmt, ...) ({ printf((fmt), ## __VA_ARGS__); })

## Functions
static int | spa_debug_buffer (int indent, const struct spa_buffer *buffer)
static int | spa_debug_dict (int indent, const struct spa_dict *dict)
static int | spa_debug_format_value (const struct spa_type_info *info, uint32_t type, void *body, uint32_t size)
static int | spa_debug_format (int indent, const struct spa_type_info *info, const struct spa_pod *format)
static int | spa_debug_mem (int indent, const void *data, size_t size)
static int | spa_debug_port_info (int indent, const struct spa_port_info *info)
static int | spa_debug_pod_value (int indent, const struct spa_type_info *info, uint32_t type, void *body, uint32_t size)
static int | spa_debug_pod (int indent, const struct spa_type_info *info, const struct spa_pod *pod)
static const struct spa_type_info * | spa_debug_type_find (const struct spa_type_info *info, uint32_t type)
static const char * | spa_debug_type_short_name (const char *name)
static const char * | spa_debug_type_find_name (const struct spa_type_info *info, uint32_t type)
static const char * | spa_debug_type_find_short_name (const struct spa_type_info *info, uint32_t type)
static uint32_t | spa_debug_type_find_type (const struct spa_type_info *info, const char *name)
static const struct spa_type_info * | spa_debug_type_find_short (const struct spa_type_info *info, const char *name)
static uint32_t | spa_debug_type_find_type_short (const struct spa_type_info *info, const char *name)

## Detailed Description

Debugging utilities.

## Macro Definition Documentation

## ◆ spa_debug

#define spa_debug | ( |  | fmt,
|  |  | ...
| ) |  | ({ printf((fmt"\n"), ## __VA_ARGS__); })

## ◆ spa_debugn

#define spa_debugn | ( |  | fmt,
|  |  | ...
| ) |  | ({ printf((fmt), ## __VA_ARGS__); })

## Function Documentation

## ◆ spa_debug_buffer()

static int spa_debug_buffer | ( | int | indent,
|  | const struct spa_buffer * | buffer
| ) |  |
| inlinestatic

## ◆ spa_debug_dict()

static int spa_debug_dict | ( | int | indent,
|  | const struct spa_dict * | dict
| ) |  |
| inlinestatic

Examples
  bluez-session.c.

## ◆ spa_debug_format_value()

static int spa_debug_format_value | ( | const struct spa_type_info * | info,
|  | uint32_t | type,
|  | void * | body,
|  | uint32_t | size
| ) |  |
| inlinestatic

## ◆ spa_debug_format()

static int spa_debug_format | ( | int | indent,
|  | const struct spa_type_info * | info,
|  | const struct spa_pod * | format
| ) |  |
| inlinestatic

Examples
  export-sink.c, export-source.c, local-v4l2.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, and video-src-fixate.c.

## ◆ spa_debug_mem()

static int spa_debug_mem | ( | int | indent,
|  | const void * | data,
|  | size_t | size
| ) |  |
| inlinestatic

## ◆ spa_debug_port_info()

static int spa_debug_port_info | ( | int | indent,
|  | const struct spa_port_info * | info
| ) |  |
| inlinestatic

## ◆ spa_debug_pod_value()

static int spa_debug_pod_value | ( | int | indent,
|  | const struct spa_type_info * | info,
|  | uint32_t | type,
|  | void * | body,
|  | uint32_t | size
| ) |  |
| inlinestatic

## ◆ spa_debug_pod()

static int spa_debug_pod | ( | int | indent,
|  | const struct spa_type_info * | info,
|  | const struct spa_pod * | pod
| ) |  |
| inlinestatic

Examples
  spa/examples/example-control.c, spa/examples/local-libcamera.c, and spa/examples/local-v4l2.c.

## ◆ spa_debug_type_find()

static const struct spa_type_info * spa_debug_type_find | ( | const struct spa_type_info * | info,
|  | uint32_t | type
| ) |  |
| inlinestatic

## ◆ spa_debug_type_short_name()

static const char * spa_debug_type_short_name | ( | const char * | name | ) |
| inlinestatic

## ◆ spa_debug_type_find_name()

static const char * spa_debug_type_find_name | ( | const struct spa_type_info * | info,
|  | uint32_t | type
| ) |  |
| inlinestatic

Examples
  tutorial5.c.

## ◆ spa_debug_type_find_short_name()

static const char * spa_debug_type_find_short_name | ( | const struct spa_type_info * | info,
|  | uint32_t | type
| ) |  |
| inlinestatic

## ◆ spa_debug_type_find_type()

static uint32_t spa_debug_type_find_type | ( | const struct spa_type_info * | info,
|  | const char * | name
| ) |  |
| inlinestatic

## ◆ spa_debug_type_find_short()

static const struct spa_type_info * spa_debug_type_find_short | ( | const struct spa_type_info * | info,
|  | const char * | name
| ) |  |
| inlinestatic

## ◆ spa_debug_type_find_type_short()

static uint32_t spa_debug_type_find_type_short | ( | const struct spa_type_info * | info,
|  | const char * | name
| ) |  |
| inlinestatic